$primary-color: rgba(38, 193, 126, 1);
$border-color: rgba(221, 221, 221, 1);

.portfolio-buttons {
  display: flex;
  gap: 5px;
  padding-left: 20px;
  margin-top: 20px;
  margin-bottom: 10px;

  div {
    cursor: pointer;
  }
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  padding-left: 15px;
}

.card {
  position: relative;
  width: 260px;
  height: 170px;
  margin: 1px;
  overflow: hidden;
  border: 1px solid $border-color;

  &-title {
    color: $primary-color;
    font-weight: 700;
  }

  &-text {
    position: absolute;
    display: flex;
    gap: 10px;
    bottom: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    display: flex;
    flex-direction: column;
    align-items: start;
    transition: 0.5s;
    padding: 20px 15px;
  }
  &-link {
    color: $primary-color;
  }
  &:hover .card-text {
    bottom: 0;
  }
}
